Bug 1476001 Security updates for python r=jlund
authorSimon Fraser <sfraser@mozilla.com>
Tue, 09 Oct 2018 16:55:10 +0000
changeset 498875 aa4ddb427b95a901c2a841c3bc07a08c0fb9c177
parent 498874 41725614e772232c3ebcc7c2ead5330414f1a465
child 498876 0243cebc7b3c8a63b20acca77e3802c4c6ecc907
push id1864
push userffxbld-merge
push dateMon, 03 Dec 2018 15:51:40 +0000
treeherdermozilla-release@f040763d99ad [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersjlund
bugs1476001
milestone64.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1476001 Security updates for python r=jlund Differential Revision: https://phabricator.services.mozilla.com/D3617
testing/mozharness/requirements.txt
--- a/testing/mozharness/requirements.txt
+++ b/testing/mozharness/requirements.txt
@@ -1,24 +1,24 @@
 # These packages are needed for mozharness unit tests.
 # Output from 'pip freeze'; we may be able to use other versions of the below packages.
 Cython==0.14.1
 Fabric==1.6.0
 coverage==3.6
 distribute==0.6.35
-dulwich==0.8.7
+dulwich==0.19.6
 hg-git==0.4.0
 logilab-astng==0.24.2
-logilab-common==0.59.0
+logilab-common==1.4.2
 mercurial==4.3.1
 mock==1.0.1
 nose==1.2.1
 ordereddict==1.1
 paramiko==1.10.0
-pycrypto==2.6
+pycrypto==2.6.1
 pyflakes==0.6.1
 pylint==0.27.0
 simplejson==2.1.1
 unittest2==0.5.1
 virtualenv==1.5.1
 wsgiref==0.1.2
 urllib3==1.9.1
 google-api-python-client==1.5.1